package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.apache.commons.compress.utils.Lists;

import java.io.Serializable;
import java.util.List;

@Data
@JsonIgnoreProperties
public class TdbgrpVo  extends AbstractCommonVo implements Serializable {

    /**
     * tdb表
     */
    private TdbVo ads;

    /**
     * Tbk类型的list集合
     */
    private List<TbkVo> tbk;

    @Override
    public void reset() {
        if (ads == null) {
            ads = new TdbVo();
        }

        if (tbk == null) {
            tbk = Lists.newArrayList();
        }
    }


}
